Think you have a false positive on this rule?

Sid 1-16351

Message

PROTOCOL-VOIP CSeq buffer overflow attempt

Summary

Multiple buffer overflows in the (1) SIP, (2) CMIP, (3) CMP, (4) CMS, (5) CRMF, (6) ESS, (7) OCSP, (8) X.509, (9) ISIS, (10) DISTCC, (11) FCELS, (12) Q.931, (13) NCP, (14) TCAP, (15) ISUP, (16) MEGACO, (17) PKIX1Explitit, (18) PKIX_Qualified, (19) Presentation dissectors in Ethereal before 0.10.11 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code.

Impact

CVSS base score 7.5 CVSS impact score 6.4 CVSS exploitability score 10.0 confidentialityImpact PARTIAL integrityImpact PARTIAL availabilityImpact PARTIAL

CVE-2005-1461:

CVSS base score 7.5

CVSS impact score 6.4

CVSS exploitability score 10.0

Confidentiality Impact PARTIAL

Integrity Impact PARTIAL

Availability Impact PARTIAL

CVE-2005-4050:

CVSS base score 7.5

CVSS impact score 6.4

CVSS exploitability score 10.0

Confidentiality Impact PARTIAL

Integrity Impact PARTIAL

Availability Impact PARTIAL

CVE-2006-3524:

CVSS base score 7.5

CVSS impact score 6.4

CVSS exploitability score 10.0

Confidentiality Impact PARTIAL

Integrity Impact PARTIAL

Availability Impact PARTIAL

CVE-2009-2726:

CVSS base score 7.8

CVSS impact score 6.9

CVSS exploitability score 10.0

Confidentiality Impact NONE

Integrity Impact NONE

Availability Impact COMPLETE

Detailed information

CVE-2005-1461: Multiple buffer overflows in the (1) SIP, (2) CMIP, (3) CMP, (4) CMS, (5) CRMF, (6) ESS, (7) OCSP, (8) X.509, (9) ISIS, (10) DISTCC, (11) FCELS, (12) Q.931, (13) NCP, (14) TCAP, (15) ISUP, (16) MEGACO, (17) PKIX1Explitit, (18) PKIX_Qualified, (19) Presentation dissectors in Ethereal before 0.10.11 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code.

CVE-2005-4050: Buffer overflow in multiple Multi-Tech Systems MultiVOIP devices with firmware before x.08 allows remote attackers to execute arbitrary code via a long INVITE field in a Session Initiation Protocol (SIP) packet.

CVE-2006-3524: Buffer overflow in SIPfoundry sipXtapi released before 20060324 allows remote attackers to execute arbitrary code via a long CSeq field value in an INVITE message.

CVE-2009-2726: The SIP channel driver in Asterisk Open Source 1.2.x before 1.2.34, 1.4.x before 1.4.26.1, 1.6.0.x before 1.6.0.12, and 1.6.1.x before 1.6.1.4; Asterisk Business Edition A.x.x, B.x.x before B.2.5.9, C.2.x before C.2.4.1, and C.3.x before C.3.1; and Asterisk Appliance s800i 1.2.x before 1.3.0.3 does not use a maximum width when invoking sscanf style functions, which allows remote attackers to cause a denial of service (stack memory consumption) via SIP packets containing large sequences of ASCII decimal characters, as demonstrated via vectors related to (1) the CSeq value in a SIP header, (2) large Content-Length value, and (3) SDP.

Affected systems

  • ethereal_group ethereal 0.8
  • ethereal_group ethereal 0.8.13
  • ethereal_group ethereal 0.8.14
  • ethereal_group ethereal 0.8.15
  • ethereal_group ethereal 0.8.18
  • ethereal_group ethereal 0.8.19
  • ethereal_group ethereal 0.9
  • ethereal_group ethereal 0.9.1
  • ethereal_group ethereal 0.9.2
  • ethereal_group ethereal 0.9.3
  • ethereal_group ethereal 0.9.4
  • ethereal_group ethereal 0.9.5
  • ethereal_group ethereal 0.9.6
  • ethereal_group ethereal 0.9.7
  • ethereal_group ethereal 0.9.8
  • ethereal_group ethereal 0.9.9
  • ethereal_group ethereal 0.9.10
  • ethereal_group ethereal 0.9.11
  • ethereal_group ethereal 0.9.12
  • ethereal_group ethereal 0.9.13
  • ethereal_group ethereal 0.9.14
  • ethereal_group ethereal 0.9.15
  • ethereal_group ethereal 0.9.16
  • ethereal_group ethereal 0.10
  • ethereal_group ethereal 0.10.0
  • ethereal_group ethereal 0.10.1
  • ethereal_group ethereal 0.10.2
  • ethereal_group ethereal 0.10.3
  • ethereal_group ethereal 0.10.4
  • ethereal_group ethereal 0.10.5
  • ethereal_group ethereal 0.10.6
  • ethereal_group ethereal 0.10.7
  • ethereal_group ethereal 0.10.8
  • ethereal_group ethereal 0.10.9
  • ethereal_group ethereal 0.10.10
  • multi-tech_systems multivoip *
  • sipfoundry sipxtapi *
  • asterisk business_edition b.1.3.2
  • asterisk business_edition c.2.3
  • asterisk business_edition c.3.0
  • asterisk open_source 1.2.0
  • asterisk open_source 1.2.1
  • asterisk open_source 1.2.2
  • asterisk open_source 1.2.3
  • asterisk open_source 1.2.4
  • asterisk open_source 1.2.5
  • asterisk open_source 1.2.6
  • asterisk open_source 1.2.7
  • asterisk open_source 1.2.7.1
  • asterisk open_source 1.2.8
  • asterisk open_source 1.2.9.1
  • asterisk open_source 1.2.10
  • asterisk open_source 1.2.11
  • asterisk open_source 1.2.12
  • asterisk open_source 1.2.12.1
  • asterisk open_source 1.2.13
  • asterisk open_source 1.2.14
  • asterisk open_source 1.2.15
  • asterisk open_source 1.2.16
  • asterisk open_source 1.2.17
  • asterisk open_source 1.2.18
  • asterisk open_source 1.2.19
  • asterisk open_source 1.2.20
  • asterisk open_source 1.2.21
  • asterisk open_source 1.2.21.1
  • asterisk open_source 1.2.22
  • asterisk open_source 1.2.23
  • asterisk open_source 1.2.24
  • asterisk open_source 1.2.25
  • asterisk open_source 1.2.26
  • asterisk open_source 1.2.26.1
  • asterisk open_source 1.2.26.2
  • asterisk open_source 1.2.27
  • asterisk open_source 1.2.28
  • asterisk open_source 1.2.29
  • asterisk open_source 1.2.30
  • asterisk open_source 1.2.30.2
  • asterisk open_source 1.2.30.3
  • asterisk open_source 1.2.30.4
  • asterisk open_source 1.4.0
  • asterisk open_source 1.4.1
  • asterisk open_source 1.4.2
  • asterisk open_source 1.4.3
  • asterisk open_source 1.4.4
  • asterisk open_source 1.4.5
  • asterisk open_source 1.4.6
  • asterisk open_source 1.4.7
  • asterisk open_source 1.4.7.1
  • asterisk open_source 1.4.8
  • asterisk open_source 1.4.9
  • asterisk open_source 1.4.10
  • asterisk open_source 1.4.10.1
  • asterisk open_source 1.4.11
  • asterisk open_source 1.4.12
  • asterisk open_source 1.4.12.1
  • asterisk open_source 1.4.13
  • asterisk open_source 1.4.14
  • asterisk open_source 1.4.15
  • asterisk open_source 1.4.16
  • asterisk open_source 1.4.16.1
  • asterisk open_source 1.4.16.2
  • asterisk open_source 1.4.17
  • asterisk open_source 1.4.18
  • asterisk open_source 1.4.18.1
  • asterisk open_source 1.4.19
  • asterisk open_source 1.4.19.1
  • asterisk open_source 1.4.19.2
  • asterisk opensource 1.4.19rc3
  • asterisk open_source 1.4.20
  • asterisk open_source 1.4.21
  • asterisk open_source 1.4.21.1
  • asterisk open_source 1.4.21.2
  • asterisk open_source 1.4.22
  • asterisk open_source 1.4.22.1
  • asterisk open_source 1.4.22.2
  • asterisk open_source 1.4.23
  • asterisk open_source 1.4beta
  • asterisk open_source 1.6.0
  • asterisk open_source 1.6.0.1
  • asterisk open_source 1.6.0.2
  • asterisk open_source 1.6.0.3
  • asterisk open_source 1.6.1
  • asterisk opensource 1.4.22
  • asterisk opensource 1.4.23
  • asterisk opensource 1.4.23.1
  • asterisk appliance_s800i 1.3.0.2

Ease of attack

CVE-2005-1461:

Access Vector NETWORK

Access Complexity LOW

Authentication NONE

CVE-2005-4050:

Access Vector NETWORK

Access Complexity LOW

Authentication NONE

CVE-2006-3524:

Access Vector NETWORK

Access Complexity LOW

Authentication NONE

CVE-2009-2726:

Access Vector NETWORK

Access Complexity LOW

Authentication NONE

False positives

None known

False negatives

None known

Corrective action

Upgrade to the latest non-affected version of the software.

Apply the appropriate vendor supplied patches.

Contributors

  • Talos research team.
  • This document was generated from data supplied by the national vulnerability database, a product of the national institute of standards and technology.
  • For more information see nvd.

Additional References

  • www.ethereal.com/news/item2005050401.html
  • www.ietf.org/rfc/rfc3261.txt